summaryrefslogtreecommitdiffstats
path: root/obsolete-buildroot/sources/openwrt/root/etc/functions.sh
diff options
context:
space:
mode:
Diffstat (limited to 'obsolete-buildroot/sources/openwrt/root/etc/functions.sh')
-rwxr-xr-xobsolete-buildroot/sources/openwrt/root/etc/functions.sh1
1 files changed, 1 insertions, 0 deletions
diff --git a/obsolete-buildroot/sources/openwrt/root/etc/functions.sh b/obsolete-buildroot/sources/openwrt/root/etc/functions.sh
index 6da7df295..1d341152f 100755
--- a/obsolete-buildroot/sources/openwrt/root/etc/functions.sh
+++ b/obsolete-buildroot/sources/openwrt/root/etc/functions.sh
@@ -26,4 +26,5 @@ if_valid () (
$DEBUG vconfig add $vif $i 2>/dev/null
}
ifconfig "$1" >/dev/null 2>&1 || [ "${1%%[0-9]}" = "br" ]
+ [ $? = 0 ] || { echo -e "# $1 ignored: no such interface"; return 1; }
)